#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	The Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++
Name:		libsigc++
Version:	2.4.0
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsigc++/2.4/%{name}-%{version}.tar.xz
# Source0-md5:	c6cd2259f5ef973e4c8178d0abbdbfa7
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.7
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libsigc++-examples
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Narzędzia programistyczne do środowiska libsig++
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Requires:	m4

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl.UTF-8
Narzędzia programistyczne do środowiska libsigc++ - sygnałów z
kontrolą typów.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ - środowiska sygnałów z kontrolą typów.

%package doc
Summary:	Reference documentation for libsigc++
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla libsigc++
Group:		Documentation

%description doc
Reference documentation for libsigc++.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja dla libsigc++.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make} -j1 all check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libsigc-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigc-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsigc-2.0.so
%{_libdir}/libsigc-2.0.la
%{_includedir}/sigc++-2.0
%{_libdir}/sigc++-2.0
%{_pkgconfigdir}/sigc++-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-2.0.a
%endif

%files doc
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libsigc++-2.0
%{_docdir}/libsigc++-2.0
%changelog
* Tue Oct 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigc++.git;a=log;h=master

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d7fc675
- updated to 2.4.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> d7c160d
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c77324
- updated to 2.2.11

* Thu Jul 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e5cfdb
- updated to 2.2.10
- xz source

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 1338216
- updated to 2.2.9

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> a5958e1
- unified packages order (preamble=files)

* Sat Jun 19 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 71a1b2a
- updated to 2.2.8

* Fri May 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 448ca24
- updated to 2.2.7

* Fri Apr 16 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 76d4c45
- updated to 2.2.6

* Thu Apr 15 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0d133ba
- missing dir
- release 2

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> d33e9e7
- BR: pkgconfig

* Thu Apr 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f3a3158
- updated to 2.2.5

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> cabe75f
- updated to 2.2.3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> dec54ba
- updated to 2.2.2

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> d55400c
- rel 2

* Thu Nov 08 2007 tommat <tommat@pld-linux.org> 1e48133
- broken parallel build

* Tue Sep 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 3c2e80c
- updated to 2.0.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 635b800
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1f1abb
- converted to UTF-8

* Tue Nov 21 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 9bd4297
- release 2 (rebuild with P: *.la)

